Cannot find builtin plugin JavaScriptLanguage

Answered

Our plugin build fails for EAP with:

> Could not resolve all dependencies for configuration ':codota:testRuntimeClasspath'.
> A problem occurred configuring project ':java'.
> Could not resolve all dependencies for configuration ':java:testRuntimeClasspath'.
> A problem occurred configuring project ':common'.
> Cannot find builtin plugin JavaScriptLanguage for IDE: /Users/shaia/.gradle/caches/modules-2/files-2.1/com.jetbrains.intellij.idea/ideaIU/LATEST-EAP-SNAPSHOT/c6b538d339ff53c81e89cc770f72504b1cd31c7e/ideaIU-LATEST-EAP-SNAPSHOT

Was this plugin moved or renamed?

Thanks

Shai

18 comments
Comment actions Permalink

I also have this problem when I use new version IU-212.3116-EAP-CANDIDATE-SNAPSHOT.

0
Comment actions Permalink

### Prompt not found JavaScriptLanguage

1. Add `<depends>JavaScript</depends>` in the plugin configuration file `:/META-INF/plugin.xml`
![1622172862262](resources/522a63fdbf8246e497d8e156f8ad7008.png)
2. Add the plugin `JavaScript` in `build.gradle.kts`
3. Add the local jar package in _SDK| IntelliJ IDEA IU_

 

 

0
Comment actions Permalink

Hi Rxliuli

I already have an optional dependency on javascript in my plugin.xml.

In my gradle,properties file I have:

intellij {
version ideVersion
type 'IU'

if (isMoreRecent(intellij.version, '2020.2.4')) {
plugins 'JavaScriptLanguage', 'CSS', 'java', 'completionMlRanking'
} else if (isMoreRecent(intellij.version, '2019.2')) {
plugins 'JavaScriptLanguage', 'CSS', 'java', 'stats-collector'
} else {
plugins 'JavaScriptLanguage', 'CSS'
}
}

I tried changing 'JavaScriptLanguage' into 'JavaScript' but then it failed on account of not finding a JavaScript plugin.

This works fine when building with 2021.1 and also worked fine with latest EAP until recently (not sure exactly when this stopped working).

0
Comment actions Permalink

That sounds related but I'm not sure what to make of it.

0
Comment actions Permalink

People in the JB dev slack channel seem to suggest to just not build with EAP for now:

https://jetbrains-platform.slack.com/archives/C5U8BM1MK/p1622372725206500

0
Comment actions Permalink

why the temporarily remove this javascript? when they will fix it before publish official 2021.2?

0
Comment actions Permalink

It is not removed, it cannot be resolved in current 2021.2 EAP builds by our tooling due to internal/packaging changes.

0
Comment actions Permalink

Is it means the JavaScriptLanguage plugin will be available in 2021.2 GA release?

0
Comment actions Permalink

Simon Jiang Yes, it is a temporary problem we'll solve ASAP.

0
Comment actions Permalink

Hi, 

I wanted to ask if the problem is fixed by now. Because i get the same error message regarding JavaScriptLangauge plugin and i wanted to check if this error is new or the already known one. 

 

0
Comment actions Permalink

My build.gradle has following configuration: 

intellij {
version '2021.2.2'//
type 'IU'
plugins = ['JavaScriptLanguage', 'com.intellij.java', 'com.jetbrains.php:212.5284.44'] //212.5284.44211.7628.21
}

and as soon as i try to build i get the following error:
Cannot find builtin plugin JavaScriptLanguage for IDE: path/ideaIU-2021.2.2

0
Comment actions Permalink

The information is not complete. What version of gradle-intellij plugin are you using?

0
Comment actions Permalink

i am using Gradle plugin 211.7628.21

0
Comment actions Permalink

I mean the gradle-intellij-plugin defined in your build file.

0
Comment actions Permalink
plugins {
id 'java'
id 'org.jetbrains.intellij' version '0.7.3'
}

group ''
version '1.01'

repositories {
mavenCentral()
}

dependencies {
testImplementation 'org.junit.jupiter:junit-jupiter-api:5.6.0'
testRuntimeOnly 'org.junit.jupiter:junit-jupiter-engine'
implementation group: 'com.googlecode.json-simple', name: 'json-simple', version: '1.1.1'
}

// Ultimate kompatibel
intellij {
version '2021.2.2'//
type 'IU'
plugins = ['JavaScriptLanguage', 'com.intellij.java', 'com.jetbrains.php:212.5284.44'] //212.5284.44211.7628.21
}


This is my entire build.gradle file 

0
Comment actions Permalink

As indicated in the link I gave previously, this is fixed in 1.1.x version, but you're still using very outdated 0.7.3

0

Please sign in to leave a comment.